RicdQuery
in package
FinalYes
Value object representing search criteria for RICD queries.
Table of Contents
Properties
- $keyword : string|null
- $organization : string|null
- $yearFrom : int|null
- $yearTo : int|null
Methods
- __construct() : mixed
- RicdQuery constructor.
- keyword() : string|null
- Keyword filter.
- organization() : string|null
- Organization filter.
- toArray() : array<string, int|string>
- Helper for adapters (e.g. HTTP clients) to build query parameters.
- yearFrom() : int|null
- Starting year filter.
- yearTo() : int|null
- Ending year filter.
Properties
$keyword
private
string|null
$keyword
$organization
private
string|null
$organization
$yearFrom
private
int|null
$yearFrom
$yearTo
private
int|null
$yearTo
Methods
__construct()
RicdQuery constructor.
public
__construct([string|null $keyword = null ][, string|null $organization = null ][, int|null $yearFrom = null ][, int|null $yearTo = null ]) : mixed
Parameters
- $keyword : string|null = null
- $organization : string|null = null
- $yearFrom : int|null = null
- $yearTo : int|null = null
keyword()
Keyword filter.
public
keyword() : string|null
Return values
string|nullorganization()
Organization filter.
public
organization() : string|null
Return values
string|nulltoArray()
Helper for adapters (e.g. HTTP clients) to build query parameters.
public
toArray() : array<string, int|string>
Return values
array<string, int|string>yearFrom()
Starting year filter.
public
yearFrom() : int|null
Return values
int|nullyearTo()
Ending year filter.
public
yearTo() : int|null